Subscribe

Installing OCUM 6.3P2 on RHEL 7.1 - dependency on p7zip error

[ Edited ]

Believe I'm following the instructions.

 

BACKGROUND:

 - new RHEL 7.1 Server with GUI

 - VMware Tools installed

 - attempting OCUM 6.3P2 installing followed pages 21-23 (and others) of OCUM 6.3 Install/Setup Guide

 

The document keeps telling me if I'm connected to the Internet the dependencies will be resolved, but this p7zip is not being found.

 

Get this: (bolded user input, red errors)

 

= = = = = = = 

 

[root@admin-um installs]# yum install *.rpm

Loaded plugins: langpacks, product-id, subscription-manager

Examining MySQL-client-5.6.28-1.el7.x86_64.rpm: MySQL-client-5.6.28-1.el7.x86_64

Marking MySQL-client-5.6.28-1.el7.x86_64.rpm to be installed

Examining MySQL-server-5.6.28-1.el7.x86_64.rpm: MySQL-server-5.6.28-1.el7.x86_64

Marking MySQL-server-5.6.28-1.el7.x86_64.rpm to be installed

Examining MySQL-shared-compat-5.6.28-1.el7.x86_64.rpm: MySQL-shared-compat-5.6.28-1.el7.x86_64

Marking MySQL-shared-compat-5.6.28-1.el7.x86_64.rpm to be installed

Examining netapp-ocum-6.3P2-x86_64.rpm: netapp-ocum-6.3-1604242259.x86_64

Marking netapp-ocum-6.3P2-x86_64.rpm to be installed

Examining ocie-au-1.3.0-2016.04.1017.x86_64.rpm: ocie-au-1.3.0-2016.04.1017.x86_64

Marking ocie-au-1.3.0-2016.04.1017.x86_64.rpm to be installed

Examining ocie-server-1.3.0-2016.04.1017.x86_64.rpm: ocie-server-1.3.0-2016.04.1017.x86_64

Marking ocie-server-1.3.0-2016.04.1017.x86_64.rpm to be installed

Examining ocie-serverbase-1.3.0-2016.04.1017.x86_64.rpm: ocie-serverbase-1.3.0-2016.04.1017.x86_64

Marking ocie-serverbase-1.3.0-2016.04.1017.x86_64.rpm to be installed

Resolving Dependencies

--> Running transaction check

---> Package MySQL-client.x86_64 0:5.6.28-1.el7 will be installed

---> Package MySQL-server.x86_64 0:5.6.28-1.el7 will be installed

---> Package MySQL-shared-compat.x86_64 0:5.6.28-1.el7 will be installed

---> Package netapp-ocum.x86_64 0:6.3-1604242259 will be installed

--> Processing Dependency: rrdtool >= 1.3.8 for package: netapp-ocum-6.3-1604242259.x86_64

--> Processing Dependency: p7zip >= 9.20 for package: netapp-ocum-6.3-1604242259.x86_64

---> Package ocie-au.x86_64 0:1.3.0-2016.04.1017 will be installed

---> Package ocie-server.x86_64 0:1.3.0-2016.04.1017 will be installed

---> Package ocie-serverbase.x86_64 0:1.3.0-2016.04.1017 will be installed

--> Processing Dependency: java-1.8.0-oracle >= 1:1.8.0.71 for package: ocie-serverbase-1.3.0-2016.04.1017.x86_64

--> Running transaction check

---> Package java-1.8.0-oracle.x86_64 1:1.8.0.91-1jpp.1.el7 will be installed

---> Package netapp-ocum.x86_64 0:6.3-1604242259 will be installed

--> Processing Dependency: p7zip >= 9.20 for package: netapp-ocum-6.3-1604242259.x86_64

---> Package rrdtool.x86_64 0:1.4.8-9.el7 will be installed

--> Finished Dependency Resolution

Error: Package: netapp-ocum-6.3-1604242259.x86_64 (/netapp-ocum-6.3P2-x86_64)

           Requires: p7zip >= 9.20

 You could try using --skip-broken to work around the problem

 You could try running: rpm -Va --nofiles --nodigest

[root@admin-um installs]# yum install p7zip

Loaded plugins: langpacks, product-id, subscription-manager

[Errno -2] Name or service not known

No package p7zip available.

Error: Nothing to do

[root@admin-um installs]# yum repolist all

Loaded plugins: langpacks, product-id, subscription-manager

[Errno -2] Name or service not known

repo id                                                          repo name                 status

rh-gluster-3-client-for-rhel-7-server-debug-rpms/7Server/x86_64  Red Hat Storage Native Cl disabled

rh-gluster-3-client-for-rhel-7-server-rpms/7Server/x86_64        Red Hat Storage Native Cl disabled

rh-gluster-3-client-for-rhel-7-server-source-rpms/7Server/x86_64 Red Hat Storage Native Cl disabled

rhel-7-server-beta-debug-rpms/x86_64                             Red Hat Enterprise Linux  disabled

rhel-7-server-beta-rpms/x86_64                                   Red Hat Enterprise Linux  disabled

rhel-7-server-beta-source-rpms/x86_64                            Red Hat Enterprise Linux  disabled

rhel-7-server-debug-rpms/7Server/x86_64                          Red Hat Enterprise Linux  disabled

rhel-7-server-extras-debug-rpms/x86_64                           Red Hat Enterprise Linux  disabled

rhel-7-server-extras-rpms/x86_64                                 Red Hat Enterprise Linux  disabled

rhel-7-server-extras-source-rpms/x86_64                          Red Hat Enterprise Linux  disabled

rhel-7-server-fastrack-debug-rpms/x86_64                         Red Hat Enterprise Linux  disabled

rhel-7-server-fastrack-rpms/x86_64                               Red Hat Enterprise Linux  disabled

rhel-7-server-fastrack-source-rpms/x86_64                        Red Hat Enterprise Linux  disabled

rhel-7-server-openstack-7.0-tools-debug-rpms/7Server/x86_64      Red Hat OpenStack Tools 7 disabled

 

... removed excess

rhel-7-server-v2vwin-1-source-rpms/7Server/x86_64                Red Hat Virt V2V Tool for disabled

rhel-atomic-host-beta-debug-rpms/x86_64                          Red Hat Enterprise Linux  disabled

rhel-atomic-host-beta-rpms/x86_64                                Red Hat Enterprise Linux  disabled

rhel-atomic-host-beta-source-rpms                                Red Hat Enterprise Linux  disabled

rhel-atomic-host-debug-rpms/x86_64                               Red Hat Enterprise Linux  disabled

rhel-atomic-host-rpms/x86_64                                     Red Hat Enterprise Linux  disabled

rhel-atomic-host-source-rpms/x86_64                              Red Hat Enterprise Linux  disabled

repolist: 11,263

[root@admin-um installs]# 

[root@admin-um installs]# ls -la

total 1380116

drwxr-xr-x.  3 root root      4096 Jul 20 17:03 .

dr-xr-xr-x. 18 root root      4096 Jul 20 14:29 ..

-rw-r--r--.  1 root root       956 Jul 20 16:55 index.html

-rw-r--r--.  1 root root  20019300 Apr 27 01:21 MySQL-client-5.6.28-1.el7.x86_64.rpm

-rw-r--r--.  1 root root  60772412 Apr 27 01:22 MySQL-server-5.6.28-1.el7.x86_64.rpm

-rw-r--r--.  1 root root   2299656 Apr 27 01:21 MySQL-shared-compat-5.6.28-1.el7.x86_64.rpm

-rw-r--r--.  1 root root 476064352 Apr 27 01:20 netapp-ocum-6.3P2-x86_64.rpm

-rw-r--r--.  1 root root  10089378 Apr 27 01:24 ocie-au-1.3.0-2016.04.1017.x86_64.rpm

-rw-r--r--.  1 root root   6341478 Apr 27 01:24 ocie-server-1.3.0-2016.04.1017.x86_64.rpm

-rw-r--r--.  1 root root 131077888 Apr 27 01:24 ocie-serverbase-1.3.0-2016.04.1017.x86_64.rpm

-rw-r--r--.  1 root root 623494272 Jul 20 16:50 OnCommandUnifiedManager-6.3P2.zip

-r-xr--r--.  1 root root      2250 Apr 27 01:24 pre_install_check.sh

-rw-r--r--.  1 root root  83033917 Jul 20 17:02 ThirdPartyDependencies-6.3-rhel7.zip

-r-xr--r--.  1 root root      1963 Apr 27 01:24 upgrade.sh

drwxr-xr-x.  9 root root      4096 Feb 25 16:26 vmware-tools-distrib

[root@admin-um installs]# 

 

 

 

Re: Installing OCUM 6.3P2 on RHEL 7.1 - dependency on p7zip error

Hello!

 

I found p7zip package in epel repository. You can connect it, and install package from there.

 

yum install epel-release

yum install p7zip

But this commands actually for CentOS 7. Sorry, haven't RHEL 7.1 near, but think, there is no difference.

 

Also, you can try to find p7zip in your connected repo:

yum provides p7zip

 

 

 

Re: Installing OCUM 6.3P2 on RHEL 7.1 - dependency on p7zip error

[root@admin-um installs]# yum install epel-release

Loaded plugins: langpacks, product-id, subscription-manager

[Errno -2] Name or service not known

No package epel-release available.

Error: Nothing to do

[root@admin-um installs]# 

[root@admin-um installs]# 

 

[root@admin-um installs]# yum provides p7zip

Loaded plugins: langpacks, product-id, subscription-manager

rhel-7-server-rpms/7Server/x86_64/filelists_db                                                               |  11 MB  00:00:03     

rhel-7-server-thirdparty-oracle-java-rpms/7Server/x86_64/filelists_db                                        | 364 kB  00:00:00     

No matches found

[root@admin-um installs]# 

 

# So if EPEL is the clue, I'll do what the manual says (page 25, though ambiguosly worded)

 

[root@admin-um installs]# wget https://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-5.noarch.rpm
--2016-07-21 09:00:42-- https://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-5.noarch.rpm
Resolving dl.fedoraproject.org (dl.fedoraproject.org)... 209.132.181.24, 209.132.181.26, 209.132.181.25, ...
Connecting to dl.fedoraproject.org (dl.fedoraproject.org)|209.132.181.24|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2016-07-21 09:00:53 ERROR 404: Not Found.

[root@admin-um installs]#

 

# # # # # #

 

Scan wget for typos ... I have, t's cut/pasted from page 25.

 

I need to be abale to defend my actions and the documentation I follow to get somewhere.  

I need to trust that if I tell someone to do what it says page X, I'm not sending them into a black hole

 

I thought rpm and yum where supposed to solve world hunger. How come they aren't in this case? :-)

 

 

 

Re: Installing OCUM 6.3P2 on RHEL 7.1 - dependency on p7zip error

Ok, you can create epel.repo file in /etc/yum.repos.d i think Smiley Happy

 

cat /etc/yum.repos.d/epel.repo
[epel]
name=Extra Packages for Enterprise Linux 7 - $basearch
#baseurl=http://download.fedoraproject.org/pub/epel/7/$basearch
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-7&arch=$basearch
failovermethod=priority
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7

[epel-debuginfo]
name=Extra Packages for Enterprise Linux 7 - $basearch - Debug
#baseurl=http://download.fedoraproject.org/pub/epel/7/$basearch/debug
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-debug-7&arch=$basearch
failovermethod=priority
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
gpgcheck=1

[epel-source]
name=Extra Packages for Enterprise Linux 7 - $basearch - Source
#baseurl=http://download.fedoraproject.org/pub/epel/7/SRPMS
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-source-7&arch=$basearch
failovermethod=priority
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
gpgcheck=1

Re: Installing OCUM 6.3P2 on RHEL 7.1 - dependency on p7zip error

Is this what I was supposed to do with this added repos?

 

[root@admin-um installs]# cd /etc/yum.repos.d/
[root@admin-um yum.repos.d]# ls -la
total 52
drwxr-xr-x. 2 root root 24 Jul 20 14:36 .
drwxr-xr-x. 134 root root 8192 Jul 20 17:07 ..
-rw-r--r--. 1 root root 37751 Jul 20 17:04 redhat.repo

 

[root@admin-um yum.repos.d]# vi epel.repo  # and I pasted in the above epel.repo text

[root@admin-um yum.repos.d]# ls -la
total 56
drwxr-xr-x. 2 root root 40 Jul 21 09:32 .
drwxr-xr-x. 134 root root 8192 Jul 20 17:07 ..
-rw-r--r--. 1 root root 955 Jul 21 09:32 epel.repo
-rw-r--r--. 1 root root 37751 Jul 20 17:04 redhat.repo


[root@admin-um yum.repos.d]# cd /installs
[root@admin-um installs]# yum repolist   
Loaded plugins: langpacks, product-id, subscription-manager
epel/x86_64/metalink | 11 kB 00:00:00
epel | 4.3 kB 00:00:00
epel/x86_64/group_gz FAILED
http://mirror.math.princeton.edu/pub/epel/7/x86_64/repodata/9d21be3ccf77a70416edafa23e02c075dbc53d2d60edb89203c5b9c69f21f66a-comps-epel7.xml.xz: [Errno 14] curl#6 - "Could not resolve host: mirror.math.princeton.edu; Name or service not known"
Trying other mirror.
(1/3): epel/x86_64/group_gz | 170 kB 00:00:00
(2/3): epel/x86_64/updateinfo | 585 kB 00:00:01
(3/3): epel/x86_64/primary_db | 4.3 MB 00:00:04
repo id repo name status
epel/x86_64 Extra Packages for Enterprise Linux 7 - x86_64 10,359
rhel-7-server-rpms/7Server/x86_64 Red Hat Enterprise Linux 7 Server (RPMs) 11,067
rhel-7-server-thirdparty-oracle-java-rpms/7Server/x86_64 Red Hat Enterprise Linux 7 Server - Oracle Java (RPMs) 196
repolist: 21,622

#
# was the above good or bad?
#
[root@admin-um installs]# yum install p7zip
Loaded plugins: langpacks, product-id, subscription-manager
[Errno -2] Name or service not known
Resolving Dependencies
--> Running transaction check
---> Package p7zip.x86_64 0:15.09-9.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================
Package Arch Version Repository Size
====================================================================================================================================
Installing:
p7zip x86_64 15.09-9.el7 epel 640 k

Transaction Summary
====================================================================================================================================
Install 1 Package

Total download size: 640 k
Installed size: 1.9 M
Is this ok [y/d/N]: y
Downloading packages:
warning: /var/cache/yum/x86_64/7Server/epel/packages/p7zip-15.09-9.el7.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 352c64e5: NOKEY
Public key for p7zip-15.09-9.el7.x86_64.rpm is not installed
p7zip-15.09-9.el7.x86_64.rpm | 640 kB 00:00:01
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7


GPG key retrieval failed: [Errno 14] curl#37 - "Couldn't open file /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7"
[root@admin-um installs]#

Re: Installing OCUM 6.3P2 on RHEL 7.1 - dependency on p7zip error

Ok, mb it's just because i installed epel.repo from yum.

You can set gpgcheck=0 instead 1 in all 3 sections. Probably this can help. 

Re: Installing OCUM 6.3P2 on RHEL 7.1 - dependency on p7zip error

Thanks for your persistence Mikkisse. That got me over this hump. 

 

= = = = = = =

 

[root@admin-um yum.repos.d]# vi epel.repo  # changed 1's to 0's 
[root@admin-um yum.repos.d]# cd /installs/
[root@admin-um installs]# yum repolist
Loaded plugins: langpacks, product-id, subscription-manager
repo id repo name status
epel/x86_64 Extra Packages for Enterprise Linux 7 - x86_64 10,359
rhel-7-server-rpms/7Server/x86_64 Red Hat Enterprise Linux 7 Server (RPMs) 11,067
rhel-7-server-thirdparty-oracle-java-rpms/7Server/x86_64 Red Hat Enterprise Linux 7 Server - Oracle Java (RPMs) 196
repolist: 21,622

#
# looks better

#
[root@admin-um installs]# yum install p7zip
Loaded plugins: langpacks, product-id, subscription-manager
epel/x86_64/metalink | 13 kB 00:00:00
Resolving Dependencies
--> Running transaction check
---> Package p7zip.x86_64 0:15.09-9.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================
Package Arch Version Repository Size
====================================================================================================================================
Installing:
p7zip x86_64 15.09-9.el7 epel 640 k

Transaction Summary
====================================================================================================================================
Install 1 Package

Total size: 640 k
Installed size: 1.9 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Installing : p7zip-15.09-9.el7.x86_64 1/1
Verifying : p7zip-15.09-9.el7.x86_64 1/1

Installed:
p7zip.x86_64 0:15.09-9.el7

Complete!

#
#  resolved, and now ...
#
[root@admin-um installs]# yum install *.rpm
Loaded plugins: langpacks, product-id, subscription-manager
Examining MySQL-client-5.6.28-1.el7.x86_64.rpm: MySQL-client-5.6.28-1.el7.x86_64
Marking MySQL-client-5.6.28-1.el7.x86_64.rpm to be installed
Examining MySQL-server-5.6.28-1.el7.x86_64.rpm: MySQL-server-5.6.28-1.el7.x86_64
Marking MySQL-server-5.6.28-1.el7.x86_64.rpm to be installed
Examining MySQL-shared-compat-5.6.28-1.el7.x86_64.rpm: MySQL-shared-compat-5.6.28-1.el7.x86_64
Marking MySQL-shared-compat-5.6.28-1.el7.x86_64.rpm to be installed
Examining netapp-ocum-6.3P2-x86_64.rpm: netapp-ocum-6.3-1604242259.x86_64
Marking netapp-ocum-6.3P2-x86_64.rpm to be installed
Examining ocie-au-1.3.0-2016.04.1017.x86_64.rpm: ocie-au-1.3.0-2016.04.1017.x86_64
Marking ocie-au-1.3.0-2016.04.1017.x86_64.rpm to be installed
Examining ocie-server-1.3.0-2016.04.1017.x86_64.rpm: ocie-server-1.3.0-2016.04.1017.x86_64
Marking ocie-server-1.3.0-2016.04.1017.x86_64.rpm to be installed
Examining ocie-serverbase-1.3.0-2016.04.1017.x86_64.rpm: ocie-serverbase-1.3.0-2016.04.1017.x86_64
Marking ocie-serverbase-1.3.0-2016.04.1017.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package MySQL-client.x86_64 0:5.6.28-1.el7 will be installed
---> Package MySQL-server.x86_64 0:5.6.28-1.el7 will be installed
---> Package MySQL-shared-compat.x86_64 0:5.6.28-1.el7 will be installed
---> Package netapp-ocum.x86_64 0:6.3-1604242259 will be installed
--> Processing Dependency: rrdtool >= 1.3.8 for package: netapp-ocum-6.3-1604242259.x86_64
---> Package ocie-au.x86_64 0:1.3.0-2016.04.1017 will be installed
---> Package ocie-server.x86_64 0:1.3.0-2016.04.1017 will be installed
---> Package ocie-serverbase.x86_64 0:1.3.0-2016.04.1017 will be installed
--> Processing Dependency: java-1.8.0-oracle >= 1:1.8.0.71 for package: ocie-serverbase-1.3.0-2016.04.1017.x86_64
--> Running transaction check
---> Package java-1.8.0-oracle.x86_64 1:1.8.0.91-1jpp.1.el7 will be installed
---> Package rrdtool.x86_64 0:1.4.8-9.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================
Package Arch Version Repository Size
====================================================================================================================================
Installing:
MySQL-client x86_64 5.6.28-1.el7 /MySQL-client-5.6.28-1.el7.x86_64 87 M
MySQL-server x86_64 5.6.28-1.el7 /MySQL-server-5.6.28-1.el7.x86_64 247 M
MySQL-shared-compat x86_64 5.6.28-1.el7 /MySQL-shared-compat-5.6.28-1.el7.x86_64 11 M
netapp-ocum x86_64 6.3-1604242259 /netapp-ocum-6.3P2-x86_64 467 M
ocie-au x86_64 1.3.0-2016.04.1017 /ocie-au-1.3.0-2016.04.1017.x86_64 12 M
ocie-server x86_64 1.3.0-2016.04.1017 /ocie-server-1.3.0-2016.04.1017.x86_64 7.0 M
ocie-serverbase x86_64 1.3.0-2016.04.1017 /ocie-serverbase-1.3.0-2016.04.1017.x86_64 144 M
Installing for dependencies:
java-1.8.0-oracle x86_64 1:1.8.0.91-1jpp.1.el7 rhel-7-server-thirdparty-oracle-java-rpms 34 M
rrdtool x86_64 1.4.8-9.el7 rhel-7-server-rpms 368 k

Transaction Summary
====================================================================================================================================
Install 7 Packages (+2 Dependent packages)

Total size: 1.0 G
Total download size: 34 M
Installed size: 1.1 G
Is this ok [y/d/N]: y
Downloading packages:
(1/2): rrdtool-1.4.8-9.el7.x86_64.rpm | 368 kB 00:00:12
(2/2): java-1.8.0-oracle-1.8.0.91-1jpp.1.el7.x86_64.rpm | 34 MB 00:00:30
------------------------------------------------------------------------------------------------------------------------------------
Total 1.1 MB/s | 34 MB 00:00:30
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Installing : 1:java-1.8.0-oracle-1.8.0.91-1jpp.1.el7.x86_64 1/9
Installing : rrdtool-1.4.8-9.el7.x86_64 2/9
Installing : MySQL-server-5.6.28-1.el7.x86_64 3/9
warning: user mysql does not exist - using root
warning: group mysql does not exist - using root
2016-07-21 10:27:37 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2016-07-21 10:27:37 0 [Note] /usr/sbin/mysqld (mysqld 5.6.28) starting as process 85347 ...
2016-07-21 10:27:38 85347 [Note] InnoDB: Using atomics to ref count buffer pool pages
2016-07-21 10:27:38 85347 [Note] InnoDB: The InnoDB memory heap is disabled
2016-07-21 10:27:38 85347 [Note] InnoDB: Mutexes and rw_locks use GCC atomic builtins
2016-07-21 10:27:38 85347 [Note] InnoDB: Memory barrier is not used
2016-07-21 10:27:38 85347 [Note] InnoDB: Compressed tables use zlib 1.2.3
2016-07-21 10:27:38 85347 [Note] InnoDB: Using Linux native AIO
2016-07-21 10:27:38 85347 [Note] InnoDB: Using CPU crc32 instructions

 ...

more

= = = = = = =

 

MySQL installed but hit another problem with the OCUM portions ... researching now

Re: Installing OCUM 6.3P2 on RHEL 7.1 - dependency on p7zip error

I can help more with RHEL, if you need it. 

Re: Installing OCUM 6.3P2 on RHEL 7.1 - dependency on p7zip error

OKay, stumped again. 

 

The reason yum install *.rpm failed this time was I had the VM set down with only 4Gb of memory.

 

= = = = = = = 

 

New default config file was created as /usr/my.cnf and
will be used by default by the server when you start it.
You may edit this file to change server settings

Installing : MySQL-client-5.6.28-1.el7.x86_64 4/9
   The installer has detected that the total memory on the computer is
   less than 12 GB. Install OnCommand software on a computer with
   minimum installed memory of 12 GB. The installer will now exit.

error: %pre(ocie-serverbase-1.3.0-2016.04.1017.x86_64) scriptlet failed, exit status 255
Error in PREIN scriptlet in rpm package ocie-serverbase-1.3.0-2016.04.1017.x86_64
error: ocie-serverbase-1.3.0-2016.04.1017.x86_64: install failed

 

= = = = = = =

 

So I halted, set the memory to 12Gb, booted, and did another yum install *.rpm (but have suspision that MySQL was obnly partially installed and partially restarted?) See below.

 

I can't tell the difference between warnings and significant errors in attached 'systemctl status ocie.service" and "journalctl -xe" output logs

 

Is there a safe way to backout the SQL, OCIE and OCUM pieces and try from scratch again?

 

= = = = = = =

 

[root@admin-um installs]# yum install *.rpm
Loaded plugins: langpacks, product-id, subscription-manager
Examining MySQL-client-5.6.28-1.el7.x86_64.rpm: MySQL-client-5.6.28-1.el7.x86_64
MySQL-client-5.6.28-1.el7.x86_64.rpm: does not update installed package.
Examining MySQL-server-5.6.28-1.el7.x86_64.rpm: MySQL-server-5.6.28-1.el7.x86_64
MySQL-server-5.6.28-1.el7.x86_64.rpm: does not update installed package.
Examining MySQL-shared-compat-5.6.28-1.el7.x86_64.rpm: MySQL-shared-compat-5.6.28-1.el7.x86_64
MySQL-shared-compat-5.6.28-1.el7.x86_64.rpm: does not update installed package.
Examining netapp-ocum-6.3P2-x86_64.rpm: netapp-ocum-6.3-1604242259.x86_64
Marking netapp-ocum-6.3P2-x86_64.rpm to be installed
Examining ocie-au-1.3.0-2016.04.1017.x86_64.rpm: ocie-au-1.3.0-2016.04.1017.x86_64
Marking ocie-au-1.3.0-2016.04.1017.x86_64.rpm to be installed
Examining ocie-server-1.3.0-2016.04.1017.x86_64.rpm: ocie-server-1.3.0-2016.04.1017.x86_64
Marking ocie-server-1.3.0-2016.04.1017.x86_64.rpm to be installed
Examining ocie-serverbase-1.3.0-2016.04.1017.x86_64.rpm: ocie-serverbase-1.3.0-2016.04.1017.x86_64
Marking ocie-serverbase-1.3.0-2016.04.1017.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package netapp-ocum.x86_64 0:6.3-1604242259 will be installed
---> Package ocie-au.x86_64 0:1.3.0-2016.04.1017 will be installed
---> Package ocie-server.x86_64 0:1.3.0-2016.04.1017 will be installed
---> Package ocie-serverbase.x86_64 0:1.3.0-2016.04.1017 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================
Package Arch Version Repository Size
====================================================================================================================================
Installing:
netapp-ocum x86_64 6.3-1604242259 /netapp-ocum-6.3P2-x86_64 467 M
ocie-au x86_64 1.3.0-2016.04.1017 /ocie-au-1.3.0-2016.04.1017.x86_64 12 M
ocie-server x86_64 1.3.0-2016.04.1017 /ocie-server-1.3.0-2016.04.1017.x86_64 7.0 M
ocie-serverbase x86_64 1.3.0-2016.04.1017 /ocie-serverbase-1.3.0-2016.04.1017.x86_64 144 M

Transaction Summary
====================================================================================================================================
Install 4 Packages

Total size: 630 M
Installed size: 630 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Installing : ocie-serverbase-1.3.0-2016.04.1017.x86_64 1/4
Installing MySQL system tables...2016-07-21 10:48:51 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2016-07-21 10:48:51 0 [Note] /usr/sbin/mysqld (mysqld 5.6.28) starting as process 15303 ...
2016-07-21 10:48:51 15303 [Note] InnoDB: Using atomics to ref count buffer pool pages
2016-07-21 10:48:51 15303 [Note] InnoDB: The InnoDB memory heap is disabled
2016-07-21 10:48:51 15303 [Note] InnoDB: Mutexes and rw_locks use GCC atomic builtins
2016-07-21 10:48:51 15303 [Note] InnoDB: Memory barrier is not used
2016-07-21 10:48:51 15303 [Note] InnoDB: Compressed tables use zlib 1.2.3
2016-07-21 10:48:51 15303 [Note] InnoDB: Using Linux native AIO
2016-07-21 10:48:51 15303 [Note] InnoDB: Using CPU crc32 instructions
2016-07-21 10:48:51 15303 [Note] InnoD

 

... abbreviating cut/paste of log

 

WARNING: Found existing config file /usr/my.cnf on the system.
Because this file might be in use, it was not replaced,
but was used in bootstrap (unless you used --defaults-file)
and when you later start the server.
The new default config file was created as /usr/my-new.cnf,
please compare it with your file and take the changes you need.

Installing : ocie-server-1.3.0-2016.04.1017.x86_64 2/4
Installing : ocie-au-1.3.0-2016.04.1017.x86_64 3/4
Installing : netapp-ocum-6.3-1604242259.x86_64 4/4
Job for ocie.service failed because a timeout was exceeded. See "systemctl status ocie.service" and "journalctl -xe" for details.
Error occurred. Printing log contents below.
package ocie-au is not installed
Jul 21 10:28:41: FAILURE: ocie-au package is not installed. Install ocie-au package and try again.
Jul 21 10:28:41: Installer will exit now.
ocie-au-1.3.0-2016.04.1017.x86_64
Jul 21 10:49:25: pre_install of ocum
Jul 21 10:49:25: Checking for RRDtool
Jul 21 10:49:25: rrdtool version=1.4.8
Jul 21 10:49:25: Required rrdtool version 1.4.8 installed
Jul 21 10:49:25: Checking for 7zip
Jul 21 10:49:25: 7za version=15.09
Jul 21 10:49:25: Required 7za version 15.09 installed
Jul 21 10:49:25: maintenance account do not exist, trying to create now.
Jul 21 10:49:25: user maintenance is created by installation.
id: umadmin: no such user
Jul 21 10:49:25: umadmin account do not exist.
Jul 21 10:49:25: user umadmin is created by installation.
Changing password for user umadmin.
passwd: all authentication tokens updated successfully.
Jul 21 10:49:26: Verifying if the user is already part of maintenance group.
Jul 21 10:49:26: umadmin is already added into maintenance group
Jul 21 10:49:43: rhelReleaseRpm=redhat-release-server-7.1-1.el7.x86_64 and installedOsVersion=7.1 and rhelSevenVersion=7.0
Jul 21 10:49:43: OS version installed RedHat 7.x
Jul 21 10:49:43: /jail directory doesn't exits. Creating sym link of /jail to /data/jail
Jul 21 10:49:43: support directory doesn't exits. Creating sym link of /support to /jail/support
Jul 21 10:49:43: details of /opt/netapp/ocum/etc/security/autosupport.truststore
-r--r--r--. 1 jboss jboss 83581 Apr 27 03:18 /opt/netapp/ocum/etc/security/autosupport.truststore
Jul 21 10:49:43: link for /bin/rbash doesn't exits. Created link for /bin/rbash
#includedir /etc/sudoers-netapp
Jul 21 10:49:43: /etc/sudoers-netapp is already added in /etc/sudoers
Jul 21 10:49:43: maintenance_user_homedir=/home/umadmin
Jul 21 10:49:43: Configuring OCIE...
Copying [/opt/netapp/ocum/safecopy/etc/init.d/ocie] to [//etc/init.d/ocie].
Copying [/opt/netapp/ocum/safecopy/etc/init.d/ocieau] to [//etc/init.d/ocieau].
Creating directory //opt/netapp/essentials/au/bin
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/au/bin/start_au.include.dev] to [//opt/netapp/essentials/au/bin/start_au.include.dev].
Creating directory //opt/netapp/essentials/au/bin
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/au/bin/start_au.include.large] to [//opt/netapp/essentials/au/bin/start_au.include.large].
Creating directory //opt/netapp/essentials/au/bin
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/au/bin/start_au.include.small] to [//opt/netapp/essentials/au/bin/start_au.include.small].
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/au/bin/start_au.sh] to [//opt/netapp/essentials/au/bin/start_au.sh].
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/bin/run.conf] to [//opt/netapp/essentials/jboss/bin/run.conf].
Creating directory //opt/netapp/essentials/jboss/bin
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/bin/run.include.dev] to [//opt/netapp/essentials/jboss/bin/run.include.dev].
Creating directory //opt/netapp/essentials/jboss/bin
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/bin/run.include.large] to [//opt/netapp/essentials/jboss/bin/run.include.large].
Creating directory //opt/netapp/essentials/jboss/bin
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/bin/run.include.small] to [//opt/netapp/essentials/jboss/bin/run.include.small].
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/bin/run.sh] to [//opt/netapp/essentials/jboss/bin/run.sh].
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/common/deploy/admin-console.war/WEB-INF/web.xml] to [//opt/netapp/essentials/jboss/common/deploy/admin-console.war/WEB-INF/web.xml].
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/common/deploy/jmx-console.war/WEB-INF/web.xml] to [//opt/netapp/essentials/jboss/common/deploy/jmx-console.war/WEB-INF/web.xml].
Creating directory //opt/netapp/essentials/jboss/lib/endorsed
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/lib/endorsed/ecj.jar] to [//opt/netapp/essentials/jboss/lib/endorsed/ecj.jar].
Creating directory //opt/netapp/essentials/jboss/server/onaro/conf
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/server/onaro/conf/logback-server.xml] to [//opt/netapp/essentials/jboss/server/onaro/conf/logback-server.xml].
Creating directory //opt/netapp/essentials/jboss/server/onaro/conf
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/server/onaro/conf/logging-override.xml] to [//opt/netapp/essentials/jboss/server/onaro/conf/logging-override.xml].
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/server/onaro/conf/login-config.xml] to [//opt/netapp/essentials/jboss/server/onaro/conf/login-config.xml].
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/server/onaro/deploy/jbossweb.sar/jboss-web-service.jar] to [//opt/netapp/essentials/jboss/server/onaro/deploy/jbossweb.sar/jboss-web-service.jar].
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/server/onaro/deploy/jbossweb.sar/server.xml] to [//opt/netapp/essentials/jboss/server/onaro/deploy/jbossweb.sar/server.xml].
Copying [/opt/netapp/ocum/safecopy/opt/netapp/essentials/jboss/server/onaro/deployers/ejb3.deployer/jboss-as-ejb3-deployer.jar] to [//opt/netapp/essentials/jboss/server/onaro/deployers/ejb3.deployer/jboss-as-ejb3-deployer.jar].
ERROR! MySQL is not running
Changing mysql configuration to install
Starting MySQL....... SUCCESS!
Jul 21 10:49:50: Granting privileges to jboss user for UM related databases...
Jul 21 10:49:50: Finished granting privileges to jboss user for UM related databases
Jul 21 10:49:50: Creating UM related databases...
Jul 21 10:49:50: Finished creating UM related databases
Jul 21 10:49:50: Updating UM related databases...
[INFO ] Using database jdbc:mysql://localhost:3306/ocum?cachePrepStmts=true&prepStmtCacheSize=1000&prepStmtCacheSqlLimit=1000
[INFO ] Creating database jdbc:mysql://localhost:3306//ocum.
[INFO ] Creating database jdbc:mysql://localhost:3306//ocum_view.
[INFO ] Creating database jdbc:mysql://localhost:3306//ocum_report.
[INFO ] Creating database jdbc:mysql://localhost:3306//ocum_report_birt.
[INFO ] Creating database jdbc:mysql://localhost:3306//ocum_data_collector.
[INFO ] Updating schema and contents from version 0 to 5 for database jdbc:mysql://localhost:3306/ocum?cachePrepStmts=true&prepStmtCacheSize=1000&prepStmtCacheSqlLimit=1000...
[INFO ] Completed update of schema and contents for database jdbc:mysql://localhost:3306/ocum?cachePrepStmts=true&prepStmtCacheSize=1000&prepStmtCacheSqlLimit=1000.
Jul 21 10:50:16: Finished updating UM related databases
Shutting down MySQL.. SUCCESS!
Changing mysql configuration to small
Jul 21 10:50:18: Changed to configuration large for /opt/netapp/essentials/jboss/bin/run.include
Jul 21 10:50:18: Changed to configuration large for /opt/netapp/essentials/au/bin/start_au.include
Jul 21 10:50:18: Changed to configuration large for /etc/mysql/my.cnf
Jul 21 10:50:20: Fresh Install. Starting mysql and ocie services
Starting MySQL... SUCCESS!
Jul 21 10:50:23: Configuration complete. Will start ocie services ...
warning: %post(netapp-ocum-6.3-1604242259.x86_64) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package netapp-ocum-6.3-1604242259.x86_64
Verifying : ocie-server-1.3.0-2016.04.1017.x86_64 1/4
Verifying : netapp-ocum-6.3-1604242259.x86_64 2/4
Verifying : ocie-au-1.3.0-2016.04.1017.x86_64 3/4
Verifying : ocie-serverbase-1.3.0-2016.04.1017.x86_64 4/4

Installed:
netapp-ocum.x86_64 0:6.3-1604242259 ocie-au.x86_64 0:1.3.0-2016.04.1017 ocie-server.x86_64 0:1.3.0-2016.04.1017
ocie-serverbase.x86_64 0:1.3.0-2016.04.1017

Complete!
[root@admin-um installs]#

 

 

Re: Installing OCUM 6.3P2 on RHEL 7.1 - dependency on p7zip error

As is see, installation was success?